# Form implementation generated from reading ui file 'src/eric7/EricWidgets/EricSimpleHelpDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricSimpleHelpDialog(object):
    def setupUi(self, EricSimpleHelpDialog):
        EricSimpleHelpDialog.setObjectName("EricSimpleHelpDialog")
        EricSimpleHelpDialog.resize(500, 600)
        EricSimpleHelpDialog.setWindowTitle("")
        EricSimpleHelpDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(EricSimpleHelpDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.helpLabel = QtWidgets.QLabel(parent=EricSimpleHelpDialog)
        self.helpLabel.setObjectName("helpLabel")
        self.verticalLayout.addWidget(self.helpLabel)
        self.helpEdit = QtWidgets.QTextBrowser(parent=EricSimpleHelpDialog)
        self.helpEdit.setTabChangesFocus(True)
        self.helpEdit.setReadOnly(True)
        self.helpEdit.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.LinksAccessibleByMouse|QtCore.Qt.TextInteractionFlag.TextSelectableByKeyboard|QtCore.Qt.TextInteractionFlag.TextSelectableByMouse)
        self.helpEdit.setOpenExternalLinks(True)
        self.helpEdit.setObjectName("helpEdit")
        self.verticalLayout.addWidget(self.helpEdit)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EricSimpleHelpDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(EricSimpleHelpDialog)
        self.buttonBox.accepted.connect(EricSimpleHelpDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EricSimpleHelpDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EricSimpleHelpDialog)

    def retranslateUi(self, EricSimpleHelpDialog):
        pass
